This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 480838 - specifying major/minor options results in failed snapshot create
specifying major/minor options results in failed snapshot create
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper (Show other bugs)
4.8
All Linux
low Severity medium
: rc
: ---
Assigned To: Milan Broz
Cluster QE
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 15:17 EST by Corey Marthaler
Modified: 2013-02-28 23:07 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:08:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2009-01-20 15:17:29 EST
Description of problem:
I saw this regression when attempting to verify the fix for bug 204992.

[root@grant-03 ~]# lvcreate -n snap1 -My --major 200 --minor 75 -L 50M -s /dev/hayes/origin
  Rounding up size to full physical extent 52.00 MB
  Volume snap1 (200:75) differs from already active device (253:75)
  Aborting. Failed to activate snapshot exception store.
[root@grant-03 ~]# echo $?
5
 
[root@grant-03 ~]# lvcreate -n snap2  -L 50M -s /dev/hayes/origin
  Rounding up size to full physical extent 52.00 MB
  Logical volume "snap2" created


Version-Release number of selected component (if applicable):
2.6.9-78.28.ELsmp

lvm2-2.02.42-2.el4    BUILT: Thu Jan 15 12:48:25 CST 2009


How reproducible:
Every time.
Comment 1 Corey Marthaler 2009-01-20 16:32:01 EST
This is related to bug 204997, but unlike in that bug, here the creation actually fails and leaves zombie dm devices around after attempting to remove.
Comment 2 Milan Broz 2009-02-03 09:12:40 EST
uf, it is broken completely, not only snapshots.

# lvcreate -n tst -My --major 200 --minor 33 -l 1 vg_test
  Volume tst (200:33) differs from already active device (254:33)
  Aborting. Failed to activate new LV to wipe the start of it.
  Volume tst (200:33) differs from already active device (254:33)
  Unable to deactivate failed new LV. Manual intervention required.

We need ignore to major number for 2.6 kernel when comparing devices device number pairs...
Comment 8 Peter Rajnoha 2009-02-20 06:04:07 EST
Committed to CVS, device-mapper-1.02.28-2.el4.
Comment 11 errata-xmlrpc 2009-05-18 16:08:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0962.html

Note You need to log in before you can comment on or make changes to this bug.